# Apollo

## Channel commands

- /channel new {OPT:channel}
    - *"Create a new managed event channel"*
        - {OPT:channel} - *"An existing channel to convert to an event channel (WARNING: May delete messages!)"*

- /channel remove {REQ:event_channel}
    - *"Unmark a channel as an event channel"*
    - {REQ:event_channel} - *"Shows events from a specific event channel (As opposed to all events on the server)."*

## Digest commands

- /digest new {REQ:post_channel} {REQ:frequency} {REQ:post_time} {OPT:time_zone} {OPT:period}
    - *"Create a daily or weekly digest of upcoming events in a channel (Beta)"*
    - {REQ:post_channel} - *"The channel to post the digest in."*
    - {REQ:frequency} - *"How often the digest should be posted."* (Daily/Weekly)
    - {REQ:post_time} - *"The time that the first digest should be posted, such as `9am` or `Monday at 7am`."*
        - {OPT:time_zone} - *"The timezone with which to display event start times."*
        - {OPT:period} - *"Time period of upcoming events to display."* (Today/This week/This month)
        - {OPT:event_channel} - *"Show events from a specific event channel (As opposed to all events on the server)."*

- /digest remove {REQ:digest}
    - *"Remove an event digest"*
    - {REQ:digest} - *"The digest to remove"*

## Edit command

- /edit
    - *"Modify an existing Apollo event or reocurring series"*
    - Post Note: This command is only ran in the guild and will DM the member with further instructions.

## Event command

- /event
    - *"Create a new Apollo event"*
    - Post Note: This command is only ran in the guild and will DM the member with further instructions.

## Google commands

- /google authorize
    - *"Authorize a new Google Calendar connection"*
    - Post Note: This command is only ran in the Guild and will post an external URL to sign-in with Google.

- /google auto_sync disable
    - *"Disable Google Calendar auto sync"*
    - Post Note: This command is locked behind Apollo Premium.

- /google auto_sync set {REQ:google_account} {OPT:calendar}
    - *"Set a Google Calendar for Apollo to automatically sync new events to"*
    - {REQ:google_account} - *"The Google account to automatically sync new event to."*
        - {OPT:calendar} - *"The calendar to sync new events to. Defaults to the primary calendar."*

- /google revoke {REQ:google_account}
    - *"Revoke access from a Google Account."*
    - {REQ:google_account} - *"The Google account to revoke access from."*

- /google sync {REQ:event} {REQ:google_account} {OPT:}
    - *"Sync an event to Google Calendar"*
    - {REQ:event} - *"The event to sync to Google Calendar"*
    - {REQ:google_account} - *"The Google account to sync the event to."*
        - {OPT:calendar} - *"The calendar to sync new events to. Defaults to the primary calendar."*

## my_events command

- /my_events {REQ:time_zone} {OPT:period} {OPT:event_channel}
    - *"View a list of upcoming events you've organised or signed up for."*
    - {REQ:time_zone} - *"The time zone with which to display event start times."*
    - {OPT:period} - *"Time period of upcoming events to display"* (Today/This week/This month)
    - {OPT:event_channel} - *"Show events from a specific event channel (as opposed to all events on the server)"*

## Premium Root

- /premium activate
    - *"Activate a Premium membership on this server."*

- /premium check
    - *"Check if this server has an active Apollo Premium membership."*

- /premium info
    - *"Learn more about Apollo Premium."*

- /premium revoke {REQ:server}
    - *"Revoke a Premium membership."*

- /premium status
    - *"View the status of your Apollo Premium membership."*

## Reminders

- /reminders {REQ:setting}
    - *"Configure if Apollo will send you personal event reminders."*
    - {REQ:setting} - *"Whether Apollo will send you personal even reminders"* (on/off)

## Settings commands

- /settings 24_hour_time {REQ:setting}
    - *"Configure 24 hour time display."*
    - {REQ:setting} - *"The new 24 hour time setting to apply."* (On/Off)

- /settings auto_delete {REQ:setting}
    - *"Configure automatic event deletion."*
    - {REQ:setting} - *"The new auto delete setting to apply."* (On/Off)

- /settings auto_delete_interval {REQ:interval}
    - *"Configure how soon events should be deleted after they end."*
    - {REQ:interval} - *"The new auto delete interval (e.g. '2 hours')."*

- /settings auto_join_threads {REQ:setting}
    - *"Configure if attendees are added and removed from event threads."*
    - {REQ:setting} - *"The new auto join threads setting to apply"* (On/Off)

- /settings event_threads {REQ:setting}
    - *"Configure if threads are automatically created for new events."*
    - {REQ:setting} - *"The new event threads setting to apply"* (On/Off)

- /settings language {REQ:language}
    - *"Configure Apollo's language for public messages."*
    - {REQ:language} - *"The language to use for public messages (like events and reminders)."* (English/French/Italian/German/European Portuguese/Polish/Russian/European Spanish/Japanese/Hungarian/Dutch/Czech/Ukrainian)

- /settings localize_time {REQ:setting}
    - *"Configure if event times should be localized for each user."*
    - {REQ:setting} - *"Whether or not event times should be localized."* (On/Off)

- /settings mention_attendees {REQ:setting}
    - *"Configure if mentions should be used for event attendies."*
    - {REQ:setting} - *"Whether event attendee names should be localized"* (On/Off)

## signup_options commands

- /signup_options add {REQ:emoji} {REQ:label}
    - *"Add a new custom signup option"*
    - {REQ:emoji} - *"The emoji for the new signup option."*
    - {REQ:label} - *"The label for the new signup option."*

- /signup_options remove {REQ:signup_option}
    - *"Removes a custom signup option"*
    - {REQ:signup_option} - *"The signup option to remove."*

## Sort command

- /sort {OPT:order}
    - *"Sort posted events by their start time."*
    - {OPT:order} - *"The order to sort events by."* (Ascending/Descending)

## upcoming_events

- /upcoming_events {OPT:period} {OPT:event_channel}
    - *"View a list of upcoming events."*
    - {OPT:period} - *"Time period of upcoming events to display."* (Today/This week/This month)
    - {OPT:event_channel} - *"Show events from a specific event channel (as opposed to all events on the server)."*