# Buttons Roadmap

The roadmap has various different stages for the following;
- What features are going to be implimented.
- The order of integration.
- An explaination of the integration.
- Commands linked to the integration (if there are any).
- Permission Level needed to run/view the command.

## Stage 0.0 - Basic Integrations

Basic Integrations is to do with the basic functionality for the bot to work. This needs to be implimented before any other integrations are added to the bot.

### Stage 0.1 - Feature 0 - Live Patching

Live Patching is the ability to push updates to the bot without needing to take the bot offline. This feature will not be utilised for major updates to the bot (i.e. Moving to a new stage) But will be utilised for feature updates.

## Stage 0.2 - Feature 1 - Channel Database

Channel Database will take a screenshot of the current channels within Basement, ommitting specific channels that are known to be ephemeral, documenting the layout & the permission structure. The addon for the bot will include the following features;
- Warnings of when a channel's permissions is out of sync with the database, including who changed the permission and when they changed the permission.
- Whitelisting of specific accounts with changes, letting the account bypass the system entirely.
- Attaching specific channels to specific accounts (i.e. Donator TC/VC to a donator)

## Stage 0.3 - Feature 2 - Permission Levels

Permission Levels are specifically to ensure that members have the right to run a specific command, throwing an error if this is not the case. Permission Levels will be set up as the following;
- `Level 00` - This level grants the ability to run any command, regardless of anything. This permission level is limited to; Bot Developer & Owner.
- `Level 01` - This level grants the ability to run any command that is considered a "staff command". This permission level is limited to; Full Staff Members.
- `Level 02` - This level grants the ability to run any command that is considered usable by trial staff members. This permission level is limited to; Trial Staff Members.
- `Level 03` - This level grants the ability to run any command that is relating to partnerships. This permission level is limited to; Partners & Partner Managers.
- `Level 04` - This level grants the ability to run any command that is relating to Donating. This permission level is limited to; Ultimate VIP & Elite VIP.
- `Level 05` - This level grants the ability to run any command that is relating to Donating. This permission level is limited to; Loved VIP, Glow VIP, Enchanted VIP & Boosted VIP.
- `Level 06` - This level grants the ability to run any command that is relating to 18+ content. This permission is limited to; Verified & Cross verified.
- `Level 07` - This level grants the ability for anyone to run commands under this level. This permission level is not limited by role.

Along with the permission levels, there will be permission based on where the command is ran.

This methodology will mimic permission management on Linux having three different groups of management, and having a number that correlates to a permission type, those being;
- Person running the command
- The type of command that it is
- Where the command is ran for the structure.
<!--
0 = No permission
1 = Execute permission
2 = Write permission
3 = Execute & Write permissions
4 = Read permission
5 = Read & Execute permissions
6 = Read & Write permissions
7 = Read, Write & Execute permissions
-->

An example of this is a verified user runs an 18+ command in a none-NSFW chat the permissions would be set as such;
- Person = 11
- Command Type = 11
- Channel Type = 12

Since there is a mis-match, the command will not run and will throw an error.

## Stage 0.4 - Feature 3 - Rule Integration

Rule integration is to help the bot understand all of the rules that Basement has, including; Basic rules in <#923344416314376243>, VC rules in <#923429924566630420> and any unwritten rules as well.

With the integration of various rules into a single place so that staff can easily reference rules if there is a misbehaving member.

This feature will include;
- Informing staff when a member has broken a detectable rule (i.e. Created a VC with both 💚❓ or 💚⛔)
- Ability to automatically warn members when they have broken a detectable rule (Along with logging the warning.)